Download it now!
Bug 66852 - FILESAVE: Converting html to doc or pdf using soffice command line doesn't convert embedded image
Summary: FILESAVE: Converting html to doc or pdf using soffice command line doesn't co...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-12 12:07 UTC by Ranieri Mazili
Modified: 2015-10-27 10:38 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ranieri Mazili 2013-07-12 12:07:19 UTC
Hi, 

you can see more details, examples of how to reproduce and print screen here: http://ask.libreoffice.org/en/question/20111/converting-files-using-soffice-convert-to-with-embedded-images-html-to-doc/

Resuming, if you have an embedded image (base64 using the img tag) in the html and then try to convert this file to a doc or pdf using the command line: soffice -headless -convert-to doc test.html

the doc file generated doesn't have the embedded image and left just a blank space where the image should be.
Operating System: Windows 7
Version: 4.0.4.2 release
Comment 1 Owen Genat (retired) 2013-07-13 02:55:45 UTC
Set status to NEW, version to v4.0.3.3, and platform to All as I can confirm this under GNU/Linux Crunchbang 11 x86-64 running TDF/LO v4.0.3.3. For the sake of simplicity an example file can be found here:

http://www.akamine.com.br/blog/imagem_embutida.html
Comment 2 Benoit Lathiere 2013-11-06 16:16:39 UTC
I've got the same problem (no picture, just spaces in the document) when I convert from html to docx with images linked (e.g. <img src="http://ww.xx.yy/aze.png"/>).

Context : Gnu/Linux Debian 7.2 / LibreOffice 3.5.
I tested all theses filters, without success :
:writer_OOXML =invalid document*,
:"Office Open XML Text" =no image,
:"MS Word 2007 XML" =no image,
:"MS Word 97" = invalid document*.

*the file contains HTML text !

No problem to convert to .doc, .pdf or .odt.
Comment 3 Oleg 2014-03-14 12:59:15 UTC
Hello to everyone!
Converting html with embedded images still doesn't work.
LibreOffice 4.2.2 (release at the moment)
OS: Windows 7, GNU/Linux i686 i386

Converting doesn't work for both linked images (like  <img src="http://ww.xx.yy/aze.png"/>) and for base64 encoded images.
Everytime I get ton of symbols and broken images.
Are there any updates?
Comment 4 Clement 2014-03-17 15:56:30 UTC
Hi,

This really sounds like an important issue as it produces completely junk output and breaks potentially very important features from using LibreOffice. 

Any update? Any idea of a direction where to dig? 

Thanks in advance
Comment 5 Joel Madero 2015-05-02 15:43:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.2 or later)
   https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
 If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-05-02
Comment 6 Christophe Deliens 2015-10-27 10:38:58 UTC
Embedded image successfully tested OK on LibreOffice 4.4.5.2 (Mac OSX 10.10.5), using command:

/Applications/LibreOffice.app/Contents/MacOS/soffice --invisible --headless --convert-to docx:"Office Open XML Text" --outdir ~/Desktop test.html 

Embedded image used for testing: 

<p><img src="data:image/png;base64,
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" align="right" width="170" height="50" /></p>